at.chipkarte.client.bkf.soap

## Class SCRMammographieZweitbefunder

- Object
- - at.chipkarte.client.bkf.soap.SCRMammographieZweitbefunder

-     public class SCRMammographieZweitbefunder
      extends Object

  Diese Klasse enthält die Ergebnisdaten einer Mammographiebefundung durch den Zweitbefunder der ScreeningDoku.
  ParameterID: 0150.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCRMammographieZweitbefunder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArztID()` Eindeutiger Bezeichner eines Arztes.
    `String` | `getBefundungsZeitstempel()` Zeitstempel der Befundung.
    `String` | `getDichte()` Ergebnis Dichte (D-SCORE).
    `String` | `getErgebnis()` Ergebnis Mammographie (MG-SCORE).
    `void` | `setArztID(String arztID)`
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setDichte(String dichte)`
    `void` | `setErgebnis(String ergebnis)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCRMammographieZweitbefunder

          public SCRMammographieZweitbefunder()

  - ### Method Detail

    - #### getArztID

          public String getArztID()

      Eindeutiger Bezeichner eines Arztes.
      Angabe: Muss.
      Muss als zertifizierter Arzt gemeldet sein (siehe Funktion `IBkfService.searchBkfArzt(String, String)`).
      Muss unterschiedlich zur ArztID des Erstbefunders sein. Format: 11-stellig
      ParameterID: 0151.
      Returns:
        ArztID

    - #### setArztID

          public void setArztID(String arztID)

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Zeitstempel der Befundung.
      Angabe: Muss.
      Darf nicht mehr als 5 Minuten in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum bzw. dem Behandlungsdatum der gewählten Konsultation sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 0153.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getDichte

          public String getDichte()

      Ergebnis Dichte (D-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `DichteTypConstant`.
      ParameterID: 0154.
      Returns:
        Dichte

    - #### setDichte

          public void setDichte(String dichte)

    - #### getErgebnis

          public String getErgebnis()

      Ergebnis Mammographie (MG-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisMammographieScreeningTypConstant`.
      ParameterID: 0155.
      Returns:
        Ergebnis

    - #### setErgebnis

          public void setErgebnis(String ergebnis)